<?php declare(strict_types=1);

namespace App\Models;

use App\Enums\Permission;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

final class RolePermission extends Model
{
    use HasFactory;

    protected $table = 'role_permission';

    public function getPermissionTitleAttribute(): string
    {
        $pemissions = Permission::toArrayList();

        return $pemissions[$this->permission] ?? '';
    }
}
